Package com.castlabs.android.player.models.hls

# Class HlsDateRange

java.lang.Object
com.castlabs.android.player.models.hls.HlsDateRange

public class HlsDateRange extends Object
Represents a date range in an HLS playlist.

- ## Field Summary

  Fields
  Modifier and Type
  Field
  Description
  `final String`
  `className`
  The class name of the date range.
  `final Map<String,String>`
  `clientAttributes`
  The client attributes of the date range.
  `final String`
  `cue`
  The cue of the date range.
  `final Float`
  `durationSec`
  The duration of the date range in seconds.
  `final Long`
  `endTimeUs`
  The end time of the date range in microseconds since the epoch.
  `final String`
  `id`
  The ID of the date range.
  `final Float`
  `plannedDuration`
  The planned duration of the date range in seconds.
  `final String`
  `scte35cmd`
  The SCTE35-CMD data of the date range.
  `final String`
  `scte35in`
  The SCTE35-IN data of the date range.
  `final String`
  `scte35out`
  The SCTE35-OUT data of the date range.
  `final long`
  `startTimeUs`
  The start time of the date range in microseconds since the epoch.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `HlsDateRange(String id, long startTimeUs, String className, String cue, Long endTimeUs, Float durationSec, Float plannedDuration, String scte35cmd, String scte35in, String scte35out, Map<String,String> clientAttributes)`
  Creates a new instance.

- ## Method Summary

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Field Details

  - ### id

    @NonNull public final String id
    The ID of the date range.

  - ### startTimeUs

    public final long startTimeUs
    The start time of the date range in microseconds since the epoch.

  - ### className

    @Nullable public final String className
    The class name of the date range.

  - ### cue

    @Nullable public final String cue
    The cue of the date range.

  - ### endTimeUs

    @Nullable public final Long endTimeUs
    The end time of the date range in microseconds since the epoch.

  - ### durationSec

    @Nullable public final Float durationSec
    The duration of the date range in seconds.

  - ### plannedDuration

    @Nullable public final Float plannedDuration
    The planned duration of the date range in seconds.

  - ### scte35cmd

    @Nullable public final String scte35cmd
    The SCTE35-CMD data of the date range.

  - ### scte35in

    @Nullable public final String scte35in
    The SCTE35-IN data of the date range.

  - ### scte35out

    @Nullable public final String scte35out
    The SCTE35-OUT data of the date range.

  - ### clientAttributes

    @NonNull public final Map<String,String> clientAttributes
    The client attributes of the date range.

- ## Constructor Details

  - ### HlsDateRange

    public HlsDateRange(@NonNull String id, long startTimeUs, @Nullable String className, @Nullable String cue, @Nullable Long endTimeUs, @Nullable Float durationSec, @Nullable Float plannedDuration, @Nullable String scte35cmd, @Nullable String scte35in, @Nullable String scte35out, @NonNull Map<String,String> clientAttributes)
    Creates a new instance.
    Parameters:
      `id` - The ID of the date range.
      `startTimeUs` - The start time of the date range in microseconds since the epoch.
      `className` - The class name of the date range.
      `cue` - The cue of the date range.
      `endTimeUs` - The end time of the date range in microseconds since the epoch.
      `durationSec` - The duration of the date range in seconds.
      `plannedDuration` - The planned duration of the date range in seconds.
      `scte35cmd` - The SCTE35-CMD data of the date range.
      `scte35in` - The SCTE35-IN data of the date range.
      `scte35out` - The SCTE35-OUT data of the date range.
      `clientAttributes` - The client attributes of the date range.